Novell Home

My Favorites

Close

Please to see your favorites.

How to update Mobility

This document (7007012) is provided subject to the disclaimer at the end of this document.

Environment

Novell Data Synchronizer Mobility Pack
Novell GroupWise Mobility Service 2.0
SUSE Linux Enterprise Server

Situation

How to update Mobility
How to upgrade Mobility Pack
How to update Mobility Pack on SLES Servers managed by SUSE Manager
Process of upgrading Data Synchronizer Mobility Pack
How to apply the Mobility patch
How to apply Novell Data Synchronizer Mobility Pack Update
How to patch Mobility Pack Update
Cannot update Subscription Management Tool (SMT) for Data Synchronizer Mobility Pack

Resolution

Updating from Mobility Pack 1.2.x to Mobility Pack 1.2.5 or later may not be a quick update and may take a long time because of a lot of database changes to improve performance
 
Process of updating using dsapp - (This method can be used on any SLES server but is the only method available for SUSE Manager Integrated Clients)

  1. Download latest Data Sync Mobility Pack ISO from Patch Finder to the Mobility server..
  2. Download Novell Cool Solutions Tool - dsapp Mobility Administration to the Mobility server.
    • From a terminal window, change directory (cd) to the directory containing the downloaded dsapp.tgz
    • Untar the download: tar xzf dsapp.tgz
    • Run dsapp.sh from a terminal window: ./dsapp.sh from the current directory
    • dsapp.sh should now present a menu in the terminal window
  3. Select Register & Update | Update Mobility | Update with Local ISO
  4. Enter y to give permission to restart DataSync during the update procedure.
  5. Provide the full path to the directory of the ISO file. A list of ISO files containing "mobility-pack" in the filename will be displayed.
  6. Provide the name of the ISO file and then press [Enter].
    Note: Tab auto-completion works when entering a directory path and filename.
Process of updating using patchfinder - (This method CANNOT be used on SUSE Manager Integrated Clients)
 
Before upgrading the Mobility Pack, please look at the readme of the patch to make sure it supports upgrading of the Mobility Pack
 
Please follow the steps listed below
  1. Type "rcdatasync stop " and press Enter to stop the datasync services.
  2. Type "ps aux | grep -v grep | grep python " to make sure that it is shut down. If not type, "kill -9 pidNumber " of the process that is still running.
  3. Launch YaST.
  4. Browse to Software | Patch CD Update.
  5. Click Next on the Welcome screen.
  6. Select "Local ISO image" and click Next.
  7. Type anything in the Repository Name.
  8. Browse to the ISO in the the "Path to ISO Image" and click Next.
  9. Select "Yes, I Agree to the License Agreement" and click Next.
  10. Click Next.
  11. Click Start Update.
  12. On the Novell Customer Center Configuration page, click Configure Later and click Next.
  13. Click Finish.
  14. Type /opt/novell/datasync/update.sh . This process may take some time updating to 1.2.5 because of a lot of database changes to improve performance.
  15. View /opt/novell/datasync/version file to make sure it shows the correct version that was applied.
Process of setting up NCC for online update and updating using the Channel - (This method CANNOT be used on SLES and on SuSE Manager Integrated Clients when upgrading from major version to another major version like 1.x to 2.x but can be used to upgrade from minor version to an other minor version like 2.0 to 2.0.1)
 
Please follow the steps listed below. Follow steps 1-9 if the server has not been setup for online update. Follow steps 7-9, if the server has already been setup for online update.
 
  1. Login to Customer Center at http://www.novell.com/center
  2. Click My Products | Products.
  3. Expand "Novell Data Synchronizer".
  4. Look under "Novell Data Synchronizer Connector for Mobility" | "Data Synchronizer Mobility Pack" and check for the "Code". It should be 14 alphanumeric characters.
  5. Note down the code
  6. Switch to the terminal session on the Mobility Server and type "suse_register -a regcode-mobility=FAC3D3F3C4b550 -a email=EmailAddress -L /root/.suse_register.log -d 3 "
    Replace FAC3D3F3C4B550 with the correct registration code noted in step 5 and change the EmailAddress to the correct email address.

    OR
    • Launch YaST | Novell Customer Center Configuration.
    • Click Configure Now (Recommended) and select all the check boxes.
    • Click Next.
    • Fill in the the the email address and the registration/activation code for Data Synchronizer. This code is one that was noted in step 5.
      The other fields may or may not be filled.
    • Click Submit.
    • Confirm by clicking Proceed or Continue.
    • Click OK once the Repositories have been successfully added.
  7. Type zypper lr to make sure that the repositories in question are enabled. If Mobility Pack 1.0 Updates are to be applied, then make sure that the Enabled column is Yes for "nu_novell_com:Mobility-1.0-Updates ". If Mobility Pack 1.1 Updates are to be applied, then make sure that the Enabled column is Yes for "nu_novell_com:Mobility-1.1-Updates ". If the Enabled column is No for the update in question, type "zypper modifyrepo --enable x " where x is the number of the repository.

    OR

    Launch YaST | Software Repositories  and highlight Mobility-1.0-Updates or Mobility-1.1-Updates as the case may be and make sure Enabled is selected. If not select it and click OK.
  8. Type zypper up -r nu_novell_com:Mobility-1.0-Updates on OR zypper up -r nu_novell_com:Mobility-1.1-Updates  on the terminal depending on which updates need to be applied.

    OR
    • Launch YaST | Online Update.
      If a message is received "No active update repository available. Exit Online Update now? " click No .
    • Data Synchronizer Mobility Pack patches will not be seen in the Patches list. Change the Filter to Patterns .
    • Highlight Novell Data Synchronizer Mobility Pack and click PackageAll in This List  | Update if newer version available and click Accept .
  9. Once the above is complete, type /opt/novell/datasync/update.sh and press Enter. Type /opt/novell/datasync/update.sh . This process may take some time updating to 1.2.5 because of a lot of database changes to improve performance.
  10. View /opt/novell/datasync/version file to make sure it shows the correct version that was applied.

Additional Information

Notes:
If Mobility Pack 1.1 was installed, the the registration process need to be re-run to add the Mobility Pack 1.1 online repositories

Disclaimer

This Support Knowledgebase provides a valuable tool for NetIQ/Novell/SUSE customers and parties interested in our products and solutions to acquire information, ideas and learn from one another. Materials are provided for informational, personal or non-commercial use within your organization and are presented "AS IS" WITHOUT WARRANTY OF ANY KIND.

  • Document ID:7007012
  • Creation Date:07-OCT-10
  • Modified Date:19-JUN-14
    • NovellData Synchronizer
      GroupWise
    • SUSESubscription Management Tool
      SUSE Linux Enterprise Server

Did this document solve your problem? Provide Feedback